//deployer Service header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(SERVICE_H)
#define SERVICE_H

#include <iostream>
#include <cstring>
#include <list>

using namespace std;

class Service {
    public:
    Service(int aUserID, string aUsername, list <string> aServers):userID(aUserID),username(aUsername),servers(aServers){}
    ~Service(){}
    int GetUserID () const;
    string GetUsername() const;
    list<string> GetServers() const;
    bool operator == (const Service & service) const;
    friend ostream & operator<<(ostream & out, const Service & s); 
    private: 
    int userID;
    string username;
    list <string> servers;
};
#endif